Fedora-Fr - Communauté francophone Fedora - Linux

Communauté francophone des utilisateurs de la distribution Linux Fedora.

  

Dernière news : Fedora 34 n'est plus maintenu

#2 Re : [Anciennes versions] Réseaux » forwarder wifi sur eth0 » 03/06/2021 19:35:52

Bonsoir,
Merci pour ces infos.
Pour l'instant, je n'arrive pas à avancer.
Lire et tenter des lignes de commandes en essayant de comprendre. Que de mystères.
Je reviendrai sur cette discussion pour donner si possible la solution.
Les journées sont longues et parfois difficile d'avancer et reprendre là où nous en étions.
Merci de tout les retours qui me permettrons d'avancer.

Z.

#3 Re : [Anciennes versions] Réseaux » forwarder wifi sur eth0 » 01/06/2021 18:09:21

Bonsoir,
Merci pour la lecture.
Dommage que la chaleur arrive.. c'est une lecture à se poser au coin du feu....
J'ai plus qu'a éplucher.
Toutefois je suis preneur de toutes solutions qui me faciliterai la tâche.

Cdt,
Z.

#4 [Anciennes versions] Réseaux » forwarder wifi sur eth0 » 31/05/2021 21:18:17

zeltron78
Réponses : 6

Bonsoir,
Je me suis pris un peu la tête cette après midi.
Cela fait plusieurs heures que je lis et essaie de comprendre mon problème.
Je tourne autour du pot, sans trouver.
Voici le souci.
J'ai besoin pour des raisons techniques de transiter le  flux internet wifi sur ma carte réseau ethernet.
J'ai deux pc sous Fédora, j'ai le même souci en inversant les variables (noms des interfaces) d'un ordinateur à l'autre.
Quand j'applique le script suivant:
sysctl -w net.ipv4.ip_forward=1
ifconfig enp0s25 10.89.1.100 netmask 255.255.255.0
iptables -A FORWARD --in-interface enp0s25 -j ACCEPT
iptables --table nat -A POSTROUTING --out-interface wlp3s0 -j MASQUERADE
ifconfig enp0s25

l'autre ordinateur (carte wifi désactivé, volontairement)  accepte de répondre aux sollicitations en pingant les dns de Google (8.8.8.8)
et également de ma passerelle  de la box en  192.168.1.1 sur le port ethernet.

Mais pour ce qui est de surfer, rien à faire. Comme si il ne trouvait pas le dns pour savoir où aller.
Je coince  sur ce truc bête, mais qui me fait bien marroner!!!
Merci de m'aiguiller dans ma recherche.
Cdt,
Zeltron

#5 Re : [Anciennes versions] Installation de Fedora » [Résolu] maj fedora 29 et iphone » 03/12/2018 20:42:43

Bonsoir,
La mise à jour d'hier a semble t il corriger le soucis.(4.19.5-300.fc29.x86_64).:-D
Cela va éviter tout un tas de manipulation .
Je clos donc  la demande.
Bonne soirée à tous.

Pascal

#6 Re : [Anciennes versions] Installation de Fedora » [Résolu] maj fedora 29 et iphone » 01/12/2018 10:29:46

Bonjour,
Voici les droits appliqués:
rwxrwxr-x 1 pascal pascal 26 30 nov.  21:00 'montage iphone'

Mais de toute façon, j'ai contourné le soucis en créant un fichier iphone.desktop
J'ai renommer mon fichier lanceur  en iphone.sh et je l'ais mis dans /usr/bin
Puis:
j'ai mis dans mon fichier desktop que je viens de créer:

[Desktop Entry]
Version=1.0
Name=iphone
GenericName=iphone
X-GNOME-FullName=montage iphone
Comment=montage des telephones iphone
Exec=iphone.sh
TryExec=iphone.sh
Icon=/usr/share/icons/gnome/24x24/devices/phone.png
Terminal=false
Type=Application
Categories=Graphics;2DGraphics;RasterGraphics;Scanning;GTK;
StartupNotify=true
X-Desktop-File-Install-Version=0.23

Et voila, le tour est joué.
Je n'ai plus qu'a faire la même chose pour le démontage.

Je ne clôture pas pour l'instant au cas où je devrai répondre à certain.
Merci à tous ceux qui se sont penchés sur mon soucis.

Bon week-end.

P.

#7 Re : [Anciennes versions] Installation de Fedora » [Résolu] maj fedora 29 et iphone » 30/11/2018 22:20:46

J'en rajoute une couche... au cas ou cela aiderai quelqu un.

J'ai fait deux fichiers  executable  en bash sur le bureau.
l'un: montage-iphone  avec dedans:
ifuse /home/pascal/iphone

et un autre, demontage
fusermount -u /home/pascal/iphone

cela fonctionne.
Mais à chaque fois que je clic dessus, il  me demande :  lancer dans un terminal/ afficher /annuler/ lancer.

Comment en faire des executables sans que cette question apparaisse ?
Dans  les versions précédente on pouvait le faire, mais maintenant, je ne sais pas.
Si quelqu'un à la solution... Au pire tans pis, la connexion au moins là fonctionne.

Bonne soirée.
P.

#8 Re : [Anciennes versions] Installation de Fedora » [Résolu] maj fedora 29 et iphone » 30/11/2018 20:56:36

Bon, super merci pour ce lien....
Il faut absorber et se souvenir de son anglais technique, mais bon, il y a pire!!!

Bref: Ca fonctionne à part un petit bémol.
Je vous transcrit dans un petit fichier que j'ai cree, cela pourrait resservir a d'autre:

dnf install ifuse libplist libplist-python libimobiledevice-utils libimobiledevice-devel libimobiledevice usbmuxd

## Resultat : seul ifuse manquait ##

dnf search ifuse
réponse:
=================== Nom correspond exactement à : ifuse ======================
ifuse.x86_64 : Mount Apple iPhone and iPod touch devices
ifuse.x86_64 : Mount Apple iPhone and iPod touch devices



dmesg |grep -i serialnumber |tail -n 3
## je ne prend que les 3 dernieres lignes#
idevicepair pair
## on autorise le telephone  a se fier au pc##

## on verifie##

exit
## On se remet en utilisateur simple
id
## on verifie##

mkdir /home/pascal/iphone
## creation d un repertoire dans mon home ##
ifuse /home/pascal/iphone
## on monte le repertoire

df -h |grep iphone
## on verifie le montage si il est bien present

ls /media/iphone
## on doit voir les différents répertoires et fichiers.


### Pour demonter le lien:
sudo umount /home/pascal/iphone
## ejection en mode graphique refuser#

voila enfin, je peux récuperer les photos.
Juste le mode graphique qui refuse l'ejection ( d'ou en ligne d ecommande sudo umount)
Devrais je mettre une ligne automatique comme les lecteurs de disquette d'autrefois ( pour les plus anciens...)

Merci encore de m'avoir aiguillé.
Bonne soirée.
P.

#9 Re : [Anciennes versions] Installation de Fedora » [Résolu] maj fedora 29 et iphone » 30/11/2018 08:21:04

Bonjour,
Merci quand même les gars d'avoir répondu, même si il est vrai qu'Android est beaucoup moins cher et beaucoup plus souple pour la reconnaissance sur l'OS.
Bonne journée.

P.

#10 Re : [Anciennes versions] Installation de Fedora » [Résolu] maj fedora 29 et iphone » 29/11/2018 22:37:54

Bonsoir,
je viens de tester avec une version fedora 29 toute neuve.... snif snif:-(:-(.... ça marche pas mieux.
Je regrette d'avoir fait les maj des deux machines.

A moins que ce ne soit le driver "Iphone4" qui n'est plus mis dans les versions récentes !!!
Est-ce qu'un iphone récent fonctionne ?

Pour ce soir, j'ai beaucoup de questions et peux de réponses.

La nuit portant conseil, peut être qu'un petit lutin apportera un peu d'eau à mon moulin...:-D

Bonne nuit à tous.
P.

#11 Re : [Anciennes versions] Installation de Fedora » [Résolu] maj fedora 29 et iphone » 27/11/2018 19:22:54

Bonsoir,
oui, c'est une idée.:hammer:
Je n'y avais pas pensé.
Pour autant, cela n'explique pas la perte de cette connexion USB qui fonctionné très bien avant la mise à jour.:-P

Si j'emméne mon portable en extérieur (chez mes parent, il y a rien qui passe  sad), je n'ai plus de wifi, donc plus de liaison ip.
Et le problème reste le même.
Y a t il quelqu un qui a fait le test de sa connexion iphone sur la fedora 29? et quel en est le résultat ? ( avec ou sans maj, je suis preneur de tout tests)
Bonne soirée et merci du conseil.

P.

#12 Re : [Anciennes versions] Installation de Fedora » [Résolu] maj fedora 29 et iphone » 26/11/2018 22:25:43

Comme il y a peu de retour, juste pour préciser que les droits sont bons.
Le fait de se connecter en root provoque  ce type de droits.
J'ai vérifier sur une fedora 27, le téléphone se connecte sans soucis.
le répertoire /run/user/1000/gvfs est accessible .
J'ai comparé le fichier mtab sur les deux pc, tout semble correct.

Ou alors, serait ce un soucis de noyau ?
J'ai pas eu le temps, ni pour l'instant la place de tester avec une Fedora installé nativement.
Si quelqu'un à tester, je suis preneur.

P.

#13 Re : [Anciennes versions] Installation de Fedora » [Résolu] maj fedora 29 et iphone » 25/11/2018 10:40:09

je viens de faire une "découverte, histoire d'avancer le schmilblick"

Je me demande s'il ne sagit pas d'un soucis de droit ? 'sous réserve que ce soit bien ça.
dans /run/media/1000/
le répèrtoire gvfs a comme perdu ses droits, je ne sais pas commet l'expliquer.
d????????? ? ?      ?        ?              ? gvfs
je pense que je tourne autour du pot.

#14 [Anciennes versions] Installation de Fedora » [Résolu] maj fedora 29 et iphone » 25/11/2018 10:23:59

zeltron78
Réponses : 15

Bonjour,

J'ai deux machines:
L'une ayant un dualboot windows/fedora -(maj Fed27 ==>fed28 ==>fed29)
et l'autre un portable ayant la maj de fedora 28 vers 29.

Dans les deux cas, alors que mon téléphone, un bon vieux iphone4 fonctionnait  encore avant la maj 29 (en 28), je n'ai plus accès au données, ni sur le dualboot en Fedora (lui, windows fonctionne), ni sur le portable.
J'ai tenté en vain  de faire les maj mais les deux bloquent toujours au même endroit.
Il détecte le téléphone, autorisation donné au téléphone, il voit le répertoire DCIM et veut l'ouvrir avec Rhytmbox et après, en cliquant dessus, il me met un message d'erreur:

Impossible d'afficher le contenue du dossier.
Désolé, impossible d'afficher tout le contenue de <<DCIM>>: L'obtention de la liste des dossiers a échoué:-1:Erreur indéfinie.

Si vous pouviez me donner une piste ou chercher afin de pouvoir récupérer mes photos.
D'avance merci.

#15 Re : [Anciennes versions] Support général » Probleme Gparted » 18/12/2016 10:17:05

Bonjour,
même souci avec etherape...
Je suis preneur de toutes solutions.

Pascal

#16 Re : [Anciennes versions] Réseaux » [Résolu] message lorsque je lance teamviewer » 18/12/2016 09:58:35

Bonjour,
j'ai eu le même souci.
J'ai donc fait differrement, si cela peut aider quelqu'un!!!

On télécharge la version  autre system en tgz aprés avoir essayé l'installation normal.
Puis la décompresser .
Déplacer ou supprimer le répertoire teamviewer dans /opt
le remplacer par celui optenue du fichier décompresser et le tour est joué:hammer::hammer:.

Bonne journée.

Pascal

#17 Re : [Anciennes versions] Installation des programmes » [Résolu] kino et 13994 » 16/03/2014 16:18:30

RE,
Ca y est, ca fonctionne.
J'ai reverifié les connexions debrancher et rebrancher la carte et.. dvgrab -i....==>>> il trouve mon péripherique...
Je lance Kino, interface et toc, il trouve mon camescope.

Moralité: ce devait être ma carte d aquisition pinacle qui ne devait pas faire le lien.
Pourquoi  lorsque ce matin en changeant de carte cela ne marché pas...mystére.
en tous cas, ca tourne.
merci à tous ceux qui m ont aidé.

Z

#18 Re : [Anciennes versions] Installation des programmes » [Résolu] kino et 13994 » 16/03/2014 15:41:33

Merci de me répondre,
Pour les deux paramêtres firewire dans le lsmod, je me doutais que cela pouvais correspondre.
Pour la commande /var/log/messages, le dernier fichier message, n'existe pas.
Pour autant en lancant la commande dmesg et en connectant le camescope:
429.683314] firewire_core 0000:05:03.0: IRM has link off, making local node (ffc0) root
[  429.683320] firewire_core 0000:05:03.0: phy config: new root=ffc0, gap_count=5
[  430.058123] firewire_core 0000:05:03.0: phy config: new root=ffc1, gap_count=5
[  430.270300] firewire_core 0000:05:03.0: created device fw1: GUID 080046010298efa7, S100

voila ou j en suis, j'avoue que j'avance pu du tout et ne pas savoir quoi faire!!!

help

Z

#19 [Anciennes versions] Installation des programmes » [Résolu] kino et 13994 » 16/03/2014 10:50:02

zeltron78
Réponses : 5

Bonjour à tous,
Je me prend la tête depuis hier en voulant récupérer des vidéos sur un ancien camescope Sony sur le support 1394.
Autrefois, sous windows, ca marcher impeccable, avec une carte d'aquisition Pinacle.
Mais depuis, je suis passer sous linux avec ma petite fedora 20.
J'ai un peu galerer pour installer Kino qui n'était pas dans les dépôts.
Aprés avoir télécharger, compiler, remis les librairies manquantes, et recréer des liens pour que le programme fonctionne, j'y suis presque...
Kino se lance, aucun problème. mais.... ( évidement) impossible de detecter ma camera) dvgrab -i ne la detecte pas non plus.
En parcourant les divers forums et autres  il parle d'un fichier raw1394 dans /dev, mais pour moi, inexistant.
un lsmod fait voir 2 lignes sur le firewire ( lsmod |grep firewire):
firewire_ohci          40360  0
firewire_core          62518  1 firewire_ohci
crc_itu_t              12613  1 firewire_core

un rpm -qa |grep 1394 donne:
[root@localhost pascal]# rpm -qa |grep 1394
libraw1394-devel-2.1.0-2.fc20.x86_64
libdc1394-tools-2.2.0-4.fc20.x86_64
libraw1394-2.1.0-2.fc20.x86_64
libavc1394-0.5.3-14.fc20.x86_64
libavc1394-devel-0.5.3-14.fc20.x86_64
libdc1394-2.2.0-4.fc20.x86_64

Je me suis dit que peut-être que la carte Pinacle  a un driver propriétaire. Qu'à cela ne tienne, je change de carte pour une carte 3 entrées 1394, et le poblème est identique!!!

Y aurait il un problème dans le noyau qui fait que le 1394 ne soit pas reconnu ?
Y a t il une commande qui me permettrait au moins de savoir que fedora reconnais au moins le branchement sur le 1394 ?

Dois je me dire que finalement je dois changer le camescope parceque le 1394 n est pas compatible avec la fedora 20 ???

Merci pour ceux qui auront des idées...

Z

#20 Re : [Anciennes versions] Installation des programmes » [Résolu] scripts bash shell sur le bureau » 31/10/2013 08:36:46

Bonjour à tous,
Oui ca y est, super, ça marche...
C'était bien les préférences dans nautilus.
J'ai un peu galérer pour trouver ou cliquer pour les préférences ( en haut un petit triangle à cotê de fichier dans la barre noire, pour ceux qui comme moi se poser la question).
Il suffit en effet de  modifier la ligne comportement et de valider la premiére ligne....

Voila...
Bonne journée à tous et merci à tous ceux qui ont essayé et permi d'arriver à  ce résultat.

Z

#21 Re : [Anciennes versions] Installation des programmes » [Résolu] scripts bash shell sur le bureau » 30/10/2013 22:54:43

Merci d'essayer  de m'aider.
J'ai essayé via nautilus mais  j'ai le même problème, il ouvre le fichier en voyant les scripts.,
Je me demandais si la solution ne serai pas de faire un clic droit dessus, puis, ouvrir avec et choisir une application.
mais malheuresement, on ne me propose pas gnome-terminal, sans quoi, je pense que mon problème serait résolu.
J'a fouiné une bonne partie de la soiré sur l endroit ou je pourrais  rajouter ce programme manquant. mais j'avoue que la tâche est rude.
est ce dans /usr ? si quelquun a la solution, je suis preneur.
Bonne soirée.

Z

#22 [Anciennes versions] Installation des programmes » [Résolu] scripts bash shell sur le bureau » 30/10/2013 20:37:52

zeltron78
Réponses : 17

Bonsoir à tous,
Voila mon petit problème:
J'ai depuis 3 ans sur un portable appartenant a mon  travail,  une Fedora 16 qui aujourdh'ui fonctionne encore trés (trop) bien. Malheureusement, mon travail me donne un nouveau portable plus récent et les mises  jours ne se faisant plus pour la 16, je décide donc de mettre une 19.
Je remet mes icônes sur le Bureau ( oui je sais il y a mieux, mais j'aime bien) et là, patatraque, tout mes petits scripts qui me rendez un fier service pour mon travail ne se lancent plus dans le mode graphique.
Si je ne les lance pas en ouvrant un terminal, nada.
De plus, quand j essaie de lancer mes applicatifs, il l'ouvre avec un éditeur de texte, mais pas possible de l'ouvrir  en l'associant au terminal.

Comment proceder pour que d'ici lundi prochain, mon portable soit opérationnel, sans que je sois obligé d'ouvrir le terminal et lancer à la main mes scripts ?

D'avance merci.

Z

#23 Re : [Anciennes versions] Installation des programmes » [Résolu] E17 et icons » 30/10/2013 20:20:18

Bonjour,
Pourquoi n'as tu pas mis la derniére version (19 ?)
As tu fais les mises à jours?

Z

#24 Re : [Anciennes versions] Support général » [Résolu] Impossible voir chaine Freebox avec VLC » 14/10/2013 19:54:14

Bonsoir,
Je suis dans la même galére, ca fait plusieurs jour que je me prend la tête avec firewallD.
Sous iptables, la commande:
iptables -I FORWARD -p udp -s 212.27.38.253 -d 127.0.0.1 -j ACCEPT
puis, avec un service iptables restart
ca fonctionne.
Mais maintenant, en relançant firewalld, c'est une autre manche pour le mettre en mode graphique ( c'étais plus simple avant)

Si vous trouvez la solution, ce serai pas mal. J'ai googelisé pas mal, mais à part des vieux trucs, il n'y a rien....
C'est à me demander s'il ne faudrait pas supprimer le paquet firewalld et mettre un autre paquet, plus ""compréhensible""

Voila, pour ce soir. Ca m embête  à chaque fois  de lancer manuellement les iptables mais si c est la seul solution !!!

Bonne soirée/Journée

Z

#25 Re : [Anciennes versions] Installation des programmes » VirtualBox » 09/10/2013 19:41:31

Bonsoir,
Je confirme.
Supprimer le paquet VirtualBox en question et télécharger la derniére version et l'installer.
Sur ma 19, ca marche.

Z

Pied de page des forums

Propulsé par FluxBB